import { FileNameMarker } from "./FileSystem/FileNameMarker";
import { FileSystem } from "./FileSystem/FileSystem";
import { MongoDatabase } from "./MongoDatabase/MongoDatabase";
import * as MongoDatabaseDto from "./MongoDatabase/MongoDatabaseDto";
import { RedisDatabase } from "./RedisDatabase/RedisDatabase";
export declare class Storage {
    static FileNameMarker: typeof FileNameMarker;
    static FileSystem: typeof FileSystem;
    static MongoDatabase: typeof MongoDatabase;
    static MongoDatabaseDto: typeof MongoDatabaseDto;
    static RedisDatabase: typeof RedisDatabase;
}
