import { Core } from "./Core";
import { Log } from "./Log";
import { Net } from "./Net";
import { Notice } from "./Notice";
import { NSQ } from "./NSQ";
import { Storage } from "./Storage";
import { Utils } from "./Utils";
import { Web } from "./Web";
/**
 * index只导出外部需要用的模块，内部模块不导出给外部用
 * index不应该影响外部的代码和顺序
 */
export declare class Server {
    static Core: typeof Core;
    static Log: typeof Log;
    static Net: typeof Net;
    static Notice: typeof Notice;
    static NSQ: typeof NSQ;
    static Storage: typeof Storage;
    static Utils: typeof Utils;
    static Web: typeof Web;
}
