import { Controller } from "./Controller";
import * as ControllerDto from "./Controller/ControllerDto";
import { ErrorController } from "./Controller/ErrorController";
import { HTML } from "./Controller/PageController/HTML";
import * as HTMLDto from "./Controller/PageController/HTMLDto";
import { Page } from "./Controller/PageController/Page";
import { PageController } from "./Controller/PageController";
import { ReactPageController } from "./Controller/PageController/ReactPageController";
import * as LarkWeb from "./LarkWeb";
import { WebRouter } from "./WebRouter";
import { WebServer } from "./WebServer";
import * as WebServerDto from "./WebServerDto";
export declare class Web {
    static Controller: typeof Controller;
    static ControllerDto: typeof ControllerDto;
    static ErrorController: typeof ErrorController;
    static HTML: typeof HTML;
    static HTMLDto: typeof HTMLDto;
    static Page: typeof Page;
    static PageController: typeof PageController;
    static ReactPageController: typeof ReactPageController;
    static LarkWeb: typeof LarkWeb;
    static WebRouter: typeof WebRouter;
    static WebServerWebServer: typeof WebServer;
    static WebServerDto: typeof WebServerDto;
}
